Skip to content

SMTP Server

Dispatch includes a full SMTP server, allowing you to send emails from any SMTP client (Thunderbird, Outlook, sendmail, etc.).

Configuration

Get your SMTP credentials from the dashboard or API:

Host:     smtp.dispatch.techtranslab.com
Port:     587 (STARTTLS) or 465 (Implicit TLS)
Username: user_{your-uuid}
Password: (generated via dashboard)

Generate Credentials

bash
# Generate SMTP credentials
curl -X POST https://api-dispatch.techtranslab.com/api/v1/smtp/generate \
  -H "Authorization: Bearer your-jwt"

# Regenerate password
curl -X PUT https://api-dispatch.techtranslab.com/api/v1/smtp/regenerate \
  -H "Authorization: Bearer your-jwt"

# Enable/disable SMTP access
curl -X PUT https://api-dispatch.techtranslab.com/api/v1/smtp/toggle \
  -H "Authorization: Bearer your-jwt" \
  -d '{"enabled": true}'

Example: Python

python
import smtplib
from email.mime.text import MIMEText

msg = MIMEText("<h1>Hello</h1>", "html")
msg["Subject"] = "Test Email"
msg["From"] = "[email protected]"
msg["To"] = "[email protected]"

with smtplib.SMTP("smtp.dispatch.techtranslab.com", 587) as server:
    server.starttls()
    server.login("user_abc123", "your-password")
    server.send_message(msg)

Example: Node.js (Nodemailer)

javascript
const nodemailer = require("nodemailer");

const transporter = nodemailer.createTransport({
  host: "smtp.dispatch.techtranslab.com",
  port: 587,
  secure: false,
  auth: {
    user: "user_abc123",
    pass: "your-password",
  },
});

await transporter.sendMail({
  from: "[email protected]",
  to: "[email protected]",
  subject: "Test Email",
  html: "<h1>Hello</h1>",
});

Limits

SettingValue
Max message size10 MB
Max recipients per message50
Concurrent connections per IP5
Login attempts per 15 min per IP10

Security

  • TLS required for authentication (STARTTLS on 587, Implicit TLS on 465)
  • Development mode allows insecure connections for local testing
  • All SMTP sessions are audit-logged

TechTrans Lab